Cloudera Runtime 7.1.9 SP2 resolves identified Atlas functional errors and includes
technical patches to improve service stability and performance.
- CDPD-72277: Business metadata with an array attribute type is slow
to delete
- 7.1.9 SP2
- When you deleted a business metadata typedef that included
an attribute with the
array data type, Apache Atlas could take a long time
because it scanned Solr for entity references even though array attribute values are not
Solr-indexed. Deletion now uses graph-based existence checks, which significantly reduces
delete time on large catalogs. For business metadata typedef deletes through the REST API,
you can use the optional force query parameter on
DELETE /api/atlas/v2/types/typedefs and
DELETE /api/atlas/v2/types/typedef/name/{typeName}.
force=true applies only to business metadata typedefs and skips
reference validation; other typedef categories keep the previous validation behavior.
-
Apache Jira: ATLAS-4988
- CDPD-98539: Add operation type to the lineage graph
- 7.1.9 SP2
- Apache Impala lineage events did not include an explicit
operation type, so Apache Atlas inferred the operation from
queryText and
could miss or misclassify it for some statements when the query spanned multiple lines or started with
a SQL comment. Apache Impala lineage events now include
an explicit
operationType field, and Apache Atlas uses that value when it builds Impala
process and column lineage. For queries that insert into a table or overwrite a table, the
process segment in lineage qualified names uses INSERT or
INSERT_OVERWRITE instead of QUERY or
QUERY_WITH_CLAUSE.
- CDPD-78616: Comment for existing hive tables can not be modified in
Atlas
- 7.1.9 SP2
- After this ticket is fixed the comment attribute is
updated. Existing comments can be modified and the changes are reflected in the Apache
Atlas user interface.
- CDPD-98426: Investigate which HTTP security headers Atlas should
have in API responses
- 7.1.9 SP2
- A static header and a custom header is provided which can
be added through atlas-application.properties file. This enables
adding custom security headers.
- Use the following prefix keyword to customize the header:
In
atlas-application.properties instead of using the prefix
atlas.rest.headers use
atlas.header.
Example:
- atlas.headers.content-security-policy=default-src 'self' // content-security-policy
- CDPD-87670: [Atlas UI] Apache Atlas Glossary becomes unresponsive when
the page size is set to 50
- 7.1.9 SP2
- Previously, when the page limit was set to 50 in
Glossary, the user interface was unresponsive due to an incorrect
API call with an error message, when trying to show more than 25 associated entities for a
glossary item. This issue is now fixed by updating the API function logic, and now more
than 50 associated glossary items can be shown.
-
Apache Jira: ATLAS-5067
- CDPD-87937: Incomplete metadata display for Ozone buckets in Atlas
search results
- 7.1.9 SP2
- For some Apache Ozone buckets that you open from search
results in Apache Atlas, the entity detail page did not display
Properties, Classifications,
Relationships, and Audits because the
relationship payload was too large. The issue is fixed by omitting relationships from the
initial entity response (
ignoreRelationships=true) and loading
relationship data on demand. On the Relationships tab,
Table mode shows a card for each relationship type with counts,
optional sort and controls to include deleted relationships, and additional rows load in pages
as you scroll; Graph mode still shows the lineage-style graph. The
Schema tab loads column rows when you open it using the same
on-demand pattern. The same approach improves other entity types with very large relationship
graphs, not only Ozone buckets.
-
Apache Jira: ATLAS-5184
- CDPD-94458: searchRelatedEntities - Add pagination, optional sorting,
fix approximate count while fetching relationships of an entity
- 7.1.9 SP2
- When an entity had a very large relationship graph, the API
could return all related entities in one response, which caused slow load times or an
unresponsive Apache Atlas user interface. The
searchRelatedEntities API now
supports pagination, an optional parameter to disable default name sorting for faster unsorted
queries, corrected approximate counts when you exclude deleted entities, and complete
results when one relationship attribute maps to more than one entity type (for example Hive
tables and Apache Iceberg tables returned for the same relation). The Atlas user interface
uses these capabilities on the entity detail page when it loads the
Relationships tab in pages instead of retrieving the entire graph at
once.
-
Apache Jira: ATLAS-5194
- CDPD-66938: [Analyze] [Atlas] test_time_range tests fail
- 7.1.9 SP2
- Atlas stores all timestamps in UTC, but the user interface or API
would interpret
TODAY or YESTERDAY based on the local
server time zone. For instance, if the server is in a different time zone from the user,
TODAY may refer to different times than expected, causing mismatched
results. After the update, search results remain accurate despite the server's timezone
as the date and time conversions while fetching the results use UTC time zone.